{% extends 'base.html.twig' %}
{% form_theme formArticle 'bootstrap_4_layout.html.twig' %}

{% block body %}

<!-- Modification du titre selon l'action -->
    {% if editMode %}
        <h1>Modification d'un article !.</h1>
    {% else %}
        <h1>Création d'un article !.</h1>
    {% endif %}

<!-- debut de mon form -->
    {{ form_start(formArticle) }}

    {{ form_row(formArticle.title , {'attr': {'placeholder': "Titre de l'article"}}) }}
    {{ form_row(formArticle.category) }}
    {{ form_row(formArticle.content, {'attr': {'placeholder': "Contenu de l'article"}}) }}
    {{ form_row(formArticle.image, {'attr': {'placeholder': "URL de l'image"}}) }}

<!-- Modification du button selon l'action -->
    <button type="submit" class="btn btn-outline-success">
        {% if editMode %}
            Enregistrer les modification.
        {% else %}
            Ajouter L'aticle .
        {% endif %}
    </button>

    {{ form_end(formArticle) }}
<!-- fin de mon form -->

{% endblock %}
